Bug 56910 - RPM database is broken
Summary: RPM database is broken
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
(Show other bugs)
Version: 7.2
Hardware: i386 Linux
high
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-11-29 21:56 UTC by Kenneth Rohde Christiansen
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-12-02 11:05:42 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Kenneth Rohde Christiansen 2001-11-29 21:56:12 UTC
Description of Problem:

it contains erros so that I cannot use gnorpm nor red carpet

I tried the following and it didn't help:

Here's what Jeff Johnson suggested when I had a similar problem:

<quote>
Save a copy of you database
        cd /var/lib
        tar czvf /tmp/rpmdb.tar.gz rpm

Try doing
        db_verify /var/lib/rpm/Packages

If that succeeds, an rpm --rebuilddb will regenerate the indices.

If that fails, do
        cd /var/lib/rpm
        mv Packages Packages-ORIG
        db_dump Packages-ORIG | db_load Packages
        rpm --rebuilddb

If that still fails, open a bugzilla report with a pointer (attachments
wont work for >2Mb files) to your database and I'll take a look.
</quote>

Here is my original mail to the testers-list@redhat.com: 

--initdb also fails:

[root@llephaane kenneth]# LANG=C rpm --initdb
rpmdb: First overflow page 15 has a prev_pgno
rpmdb: Overflow item incomplete on page 15
rpmdb: First overflow page 51 has a prev_pgno
rpmdb: Overflow item incomplete on page 32
rpmdb: Overflow item incomplete on page 75
rpmdb: First overflow page 84 has a prev_pgno
rpmdb: Overflow item incomplete on page 84
rpmdb: Overflow item incomplete on page 86
rpmdb: Overflow item incomplete on page 79
rpmdb: First overflow page 4048 has a prev_pgno
rpmdb: Overflow item incomplete on page 4048
error: db3 error(-30985) from db->verify: DB_VERIFY_BAD: Database
verification failed




tir, 2001-11-27 kl. 09:18 skrev Kenneth Rohde Christiansen:
> What can I do to fix this error. It suddently just appeared, and now
> most rpm tools doesn't work
> 
> error: rpmdb: damaged header instance #958 retrieved, skipping.
> 
> Kenneth


If you want me mail you the Packages file, I can do so. I don't have a
place to upload it

Kenneth

Comment 1 Jeff Johnson 2001-12-02 11:05:37 UTC
If you want the problem fixed, you better mail me Packages :-)
Remember I cannot guarantee anything. FWIW, many, many
redcarpet users are experiencing these sorts of problems,
I'm just the guy who gets to "fix" :-(

Comment 2 Jeff Johnson 2001-12-02 23:34:06 UTC
I believe this problem is solved in private e-mail, please reopen
if not.


Note You need to log in before you can comment on or make changes to this bug.